2026-08-07  Release Manager

	* GCC 16.2.0 released.

2026-07-21  Martin Jambor  <mjambor@suse.cz>

	Backported from master:
	2026-07-09  Martin Jambor  <mjambor@suse.cz>

	PR ipa/125207
	* testsuite/libgomp.c/ipcp-cb-spec1.c (test): Rework.

2026-04-30  Release Manager

	* GCC 16.1.0 released.

2026-04-17  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c/declare-variant-3-sm50.c: New.
	* testsuite/libgomp.c/declare-variant-3.h: Adjust.

2026-04-17  Thomas Schwinge  <tschwinge@baylibre.com>

	PR middle-end/95551
	* testsuite/libgomp.fortran/target-var.f90: Rename to...
	* testsuite/libgomp.fortran/pr95551-1.f90: ... this, and fix up the
	OpenACC.
	* testsuite/libgomp.oacc-fortran/pr95551-1.f90: New.

2026-04-17  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c/omp_target_is_present.c (check_routines):
	'omp_target_disassociate_ptr' after 'omp_target_associate_ptr'.

2026-03-27  Tobias Burnus  <tburnus@baylibre.com>

	* target.c (omp_target_is_present, omp_get_mapped_ptr): Update handling
	for nullptr and shared-memory devices.
	* libgomp.texi (omp_target_is_present, omp_get_mapped_ptr): Update
	description, add see-also @refs.
	(omp_target_is_accessible, omp_target_associate_ptr): Add see-also
	@refs.
	* testsuite/libgomp.c/omp_target_is_present.c: New test.
	* testsuite/libgomp.c/omp_target_is_present-2.c: New test.

2026-03-26  Prathamesh Kulkarni  <prathameshk@nvidia.com>

	PR libgomp/124123
	* testsuite/libgomp.c/pr122314.c (test): Initialize full_data
	to 0.
	* testsuite/libgomp.c/pr122356.c: Likewise.

2026-03-24  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR libgomp/123177
	* testsuite/libgomp.fortran/uses_allocators-7.f90: Change to
	compile test.
	(dg-message): Adjust line numbers.
	(dg-bogus): Likewise.

2026-03-20  Tobias Burnus  <tburnus@baylibre.com>
	    Sandra Loosemore  <sloosemore@baylibre.com>

	* target.c (gomp_exit_data): Handle iterators.
	* testsuite/libgomp.c-c++-common/target-enter-data-iterators-1.c: New.
	* testsuite/libgomp.c-c++-common/target-update-iterators-2.c:
	Also test "target exit data".
	* testsuite/libgomp.c-c++-common/target-update-iterators-3.c:
	Likewise.

2026-03-20  Kwok Cheung Yeung  <kcyeung@baylibre.com>
	    Sandra Loosemore  <sloosemore@baylibre.com>

	* testsuite/libgomp.c-c++-common/target-data-iterators-1.c: New.

2026-03-18  Arsen Arsenović  <aarsenovic@baylibre.com>

	* plugin/plugin-gcn.c (struct kernel_dispatch): Add a field to
	hold a pointer to the allocation cache node this dispatch is
	holding for kernel arguments, replacing kernarg_address.
	(print_kernel_dispatch): Print the allocation pointer from that
	node as kernargs address.
	(struct agent_info): Add in an allocation cache field.
	(alloc_kernargs_on_agent): New function.  Pulls kernel arguments
	from the cache, or, if no appropriate node is found, allocates
	new ones.
	(create_kernel_dispatch): Use alloc_kernargs_on_agent to
	allocate kernargs.
	(release_kernel_dispatch): Use release_alloc_cache_node to
	release kernargs.
	(run_kernel): Update usages of kernarg_address to use the kernel
	arguments cache node.
	(GOMP_OFFLOAD_fini_device): Clean up kernargs cache.
	(GOMP_OFFLOAD_init_device): Initialize kernargs cache.
	* alloc_cache.h: New file.
	* testsuite/libgomp.c/alloc_cache-1.c: New test.

2026-03-17  Jerry DeLisle  <jvdelisle@gcc.gnu.org>

	PR fortran/120286
	* testsuite/libgomp.fortran/pr120286.f90: New test.

2026-02-28  Kwok Cheung Yeung  <kcyeung@baylibre.com>

	PR middle-end/113436
	* testsuite/libgomp.c++/pr113436-1.C (test_vla_by_ref): New.
	(main): Add call to test_vla_by_ref.
	* testsuite/libgomp.c++/pr113436-2.C (test_vla_by_ref): New.
	(main): Add call to test_vla_by_ref.

2026-02-23  Paul-Antoine Arras  <parras@baylibre.com>

	PR fortran/120505
	* testsuite/libgomp.fortran/map-subarray-16.f90: Enable test only for
	offload device.

2026-02-23  Paul-Antoine Arras  <parras@baylibre.com>

	PR fortran/120505
	* testsuite/libgomp.fortran/map-subarray-12.f90: New test.

2026-02-23  Paul-Antoine Arras  <parras@baylibre.com>

	PR fortran/120505
	* testsuite/libgomp.fortran/map-subarray-11.f90: New test.
	* testsuite/libgomp.fortran/map-subarray-13.f90: New test.
	* testsuite/libgomp.fortran/map-subarray-14.f90: New test.
	* testsuite/libgomp.fortran/map-subarray-15.f90: New test.
	* testsuite/libgomp.fortran/map-subarray-16.f90: New test.
	* testsuite/libgomp.fortran/map-alloc-present-2.f90: New file.

2026-02-12  Kwok Cheung Yeung  <kcyeung@baylibre.com>

	PR middle-end/113436
	* libgomp.texi (OpenMP 5.0): Mark allocate clause as implemented.
	(Memory allocation): Add documentation for use in target construct.
	* testsuite/libgomp.c++/firstprivate-1.C: Enable alignment check.
	* testsuite/libgomp.c++/pr113436-1.C: New.
	* testsuite/libgomp.c++/pr113436-2.C: New.
	* testsuite/libgomp.c++/private-1.C: Enable alignment check.
	* testsuite/libgomp.c-c++-common/pr113436-1.c: New.
	* testsuite/libgomp.c-c++-common/pr113436-2.c: New.
	* testsuite/libgomp.fortran/pr113436-1.f90: New.
	* testsuite/libgomp.fortran/pr113436-2.f90: New.

2026-02-05  Andrew Stubbs  <ams@baylibre.com>

	* libgomp.texi: Mark TR14 omp_target_is_accessible status as "Y".

2026-02-05  Andrew Stubbs  <ams@baylibre.com>

	* libgomp.texi: Separate the ompx_gnu_pinned_mem_alloc notes for
	NVPTX and AMD GCN, and move them to right sections.

2026-02-04  Paul-Antoine Arras  <parras@baylibre.com>

	* target.c (gomp_present_fatal): New function.
	(gomp_map_vars_internal): For a Fortran allocatable array, present
	causes runtime termination only if the descriptor is not mapped.
	(gomp_update): Call gomp_present_fatal.
	* testsuite/libgomp.fortran/map-alloc-present-1.f90: New test.

2026-02-04  Jeff Law  <jeffrey.law@oss.qualcomm.com>

	* J: Remove.

2026-02-04  Yangyu Chen  <cyy@cyyself.name>

	* J: New file.

2026-02-03  Andrew Stubbs  <ams@baylibre.com>

	PR libgomp/121813
	PR libgomp/113213
	* libgomp-plugin.h (GOMP_OFFLOAD_is_accessible_ptr): New prototype.
	* libgomp.h
	(struct gomp_device_descr): Add GOMP_OFFLOAD_is_accessible_ptr.
	* libgomp.texi: Update omp_target_is_accessible docs.
	* plugin/cuda-lib.def (cuPointerGetAttribute): New entry.
	* plugin/plugin-gcn.c (struct hsa_runtime_fn_info): Add
	hsa_amd_svm_attributes_get_fn and hsa_amd_pointer_info_fn.
	(init_hsa_runtime_functions): Add hsa_amd_svm_attributes_get and
	hsa_amd_pointer_info.
	(enum accessible): New enum type.
	(host_memory_is_accessible): New function.
	(device_memory_is_accessible): New function.
	(GOMP_OFFLOAD_is_accessible_ptr): New function.
	* plugin/plugin-nvptx.c (GOMP_OFFLOAD_is_accessible_ptr): Likewise.
	* target.c (omp_target_is_accessible): Call is_accessible_ptr_func.
	(gomp_load_plugin_for_device): Add is_accessible_ptr.
	* testsuite/libgomp.c-c++-common/target-is-accessible-1.c: Rework
	to match more details of the GPU implementation.
	* testsuite/libgomp.fortran/target-is-accessible-1.f90: Likewise.
	* testsuite/libgomp.c-c++-common/target-is-accessible-2.c: New test.
	* testsuite/libgomp.c-c++-common/target-is-accessible-3.c: New test.
	* testsuite/libgomp.c-c++-common/target-is-accessible-4.c: New test.
	* testsuite/libgomp.c-c++-common/target-is-accessible-5.c: New test.

2026-01-20  Matthew Malcolmson  <mmalcolmson@nvidia.com>

	PR libgomp/122356
	* config/gcn/bar.c (gomp_team_barrier_wait_end): Atomically read
	team->task_count.
	(gomp_team_barrier_wait_cancel_end): Likewise.
	* config/gcn/bar.h (gomp_team_barrier_done): Atomically write
	bar->generation.
	* config/linux/bar.c (gomp_team_barrier_wait_end): Atomically
	read team->task_count.
	(gomp_team_barrier_wait_cancel_end): Likewise.
	* config/linux/bar.h (gomp_team_barrier_done): Atomically write
	bar->generation.
	* config/posix/bar.c (gomp_team_barrier_wait_end): Atomically
	read team->task_count.
	(gomp_team_barrier_wait_cancel_end): Likewise.
	* config/posix/bar.h (gomp_team_barrier_done): Atomically write
	bar->generation.
	* config/rtems/bar.h (gomp_team_barrier_done): Atomically write
	bar->generation.
	* task.c (gomp_barrier_handle_tasks): Atomically write
	team->task_count when decrementing to zero.
	* testsuite/libgomp.c/pr122356.c: New test.

2026-01-20  Matthew Malcolmson  <mmalcolmson@nvidia.com>

	PR libgomp/122314
	PR libgomp/88707
	* config/gcn/bar.c (gomp_team_barrier_wait_end): Use
	gomp_barrier_state_is_incremented.
	(gomp_team_barrier_wait_cancel_end): Likewise.
	* config/gcn/bar.h (gomp_barrier_state_is_incremented,
	gomp_barrier_has_completed): New.
	* config/linux/bar.c (gomp_team_barrier_wait_end): Use
	gomp_barrier_state_is_incremented.
	(gomp_team_barrier_wait_cancel_end): Likewise.
	* config/linux/bar.h (gomp_barrier_state_is_incremented,
	gomp_barrier_has_completed): New.
	* config/nvptx/bar.h (gomp_barrier_state_is_incremented,
	gomp_barrier_has_completed): New.
	* config/posix/bar.c (gomp_team_barrier_wait_end): Use
	gomp_barrier_state_is_incremented.
	(gomp_team_barrier_wait_cancel_end): Likewise
	* config/posix/bar.h (gomp_barrier_state_is_incremented,
	gomp_barrier_has_completed): New.
	* config/rtems/bar.h (gomp_barrier_state_is_incremented,
	gomp_barrier_has_completed): New.
	* task.c (gomp_barrier_handle_tasks): Use
	gomp_barrier_has_completed.
	* testsuite/libgomp.c/pr122314.c: New test.

2026-01-15  Josef Melcr  <josef.melcr@suse.com>

	PR ipa/122852
	* testsuite/libgomp.c/pr122852.c: New test.

2026-01-14  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c++/target-std__unordered_map-concurrent-usm.C:
	New.
	* testsuite/libgomp.c++/target-std__unordered_multimap-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_multiset-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_set-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_map-concurrent.C:
	Adjust.
	* testsuite/libgomp.c++/target-std__unordered_multimap-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_multiset-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_set-concurrent.C:
	Likewise.

2026-01-14  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c++/target-std__flat_map-concurrent-usm.C:
	New.
	* testsuite/libgomp.c++/target-std__flat_multimap-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_multiset-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_set-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_map-concurrent.C: Adjust.
	* testsuite/libgomp.c++/target-std__flat_multimap-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_multiset-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_set-concurrent.C:
	Likewise.

2026-01-14  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c++/target-std__array-concurrent-usm.C:
	'#define OMP_USM'.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__list-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__span-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__map-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__multimap-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__multiset-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__set-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__valarray-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__vector-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__bitset-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__deque-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__array-concurrent.C: Comment.
	* testsuite/libgomp.c++/target-std__bitset-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__deque-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__list-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__span-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__valarray-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__vector-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__map-concurrent.C [OMP_USM]:
	Fix up dynamic memory allocation.
	* testsuite/libgomp.c++/target-std__multimap-concurrent.C
	[OMP_USM]: Likewise.
	* testsuite/libgomp.c++/target-std__multiset-concurrent.C
	[OMP_USM]: Likewise.
	* testsuite/libgomp.c++/target-std__set-concurrent.C [OMP_USM]:
	Likewise.

2026-01-14  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c-c++-common/map-arrayofstruct-2-usm.c: New.
	* testsuite/libgomp.c-c++-common/map-arrayofstruct-3-usm.c:
	Likewise.
	* testsuite/libgomp.c-c++-common/struct-elem-5-usm.c: Likewise.
	* testsuite/libgomp.c-c++-common/target-present-1-usm.c: Likewise.
	* testsuite/libgomp.c-c++-common/target-present-2-usm.c: Likewise.
	* testsuite/libgomp.c-c++-common/target-present-3-usm.c: Likewise.
	* testsuite/libgomp.fortran/map-subarray-5-usm.f90: Likewise.
	* testsuite/libgomp.fortran/map-subarray-6-usm.f90: Likewise.
	* testsuite/libgomp.fortran/map-subarray-7-usm.f90: Likewise.
	* testsuite/libgomp.fortran/target-allocatable-1-1-usm.f90:
	Likewise.
	* testsuite/libgomp.fortran/target-allocatable-1-2-usm.f90:
	Likewise.
	* testsuite/libgomp.fortran/target-enter-data-2-usm.F90: Likewise.
	* testsuite/libgomp.fortran/target-present-1-usm.f90: Likewise.
	* testsuite/libgomp.fortran/target-present-2-usm.f90: Likewise.
	* testsuite/libgomp.fortran/target-present-3-usm.f90: Likewise.
	* testsuite/libgomp.fortran/target-allocatable-1-1.f90: Adjust.
	* testsuite/libgomp.fortran/target-allocatable-1-2.f90: Likewise.
	* testsuite/libgomp.fortran/target-present-1.f90: Likewise.
	* testsuite/libgomp.fortran/target-present-2.f90: Likewise.
	* testsuite/libgomp.fortran/target-present-3.f90: Likewise.

2026-01-13  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.fortran/map-alloc-comp-9-usm.f90: Require
	working Unified Shared Memory to run the test.

2026-01-13  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/libgomp.c++/examples-4/declare_target-2.C: Add
	'-Wno-deprecated-openmp'.
	* testsuite/libgomp.c/declare-variant-3-sm30.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm35.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm37.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm52.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm53.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm61.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm70.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm75.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm80.c: Likewise.
	* testsuite/libgomp.c/declare-variant-3-sm89.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx10-3-generic.c:
	Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1030.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1031.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1032.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1033.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1034.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1035.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1036.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx11-generic.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1100.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1101.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1102.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1103.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1150.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1151.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1152.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx1153.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx9-4-generic.c:
	Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx9-generic.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx900.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx902.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx904.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx906.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx908.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx909.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx90a.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx90c.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx942.c: Likewise.
	* testsuite/libgomp.c/declare-variant-4-gfx950.c: Likewise.
	* testsuite/libgomp.c/examples-4/async_target-2.c: Likewise.
	* testsuite/libgomp.c/interop-hsa.c: Likewise.
	* testsuite/libgomp.c/target-20.c: Likewise.
	* testsuite/libgomp.c/target-simd-clone-1.c: Likewise.
	* testsuite/libgomp.c/target-simd-clone-2.c: Likewise.
	* testsuite/libgomp.c/target-simd-clone-3.c: Likewise.
	* testsuite/libgomp.fortran/alloc-managed-1.f90: Likewise.
	* testsuite/libgomp.fortran/target9.f90: Likewise.

2026-01-13  Thomas Schwinge  <tschwinge@baylibre.com>

	PR testsuite/123098
	* testsuite/libgomp.oacc-c-c++-common/vred2d-128.c: Remove
	'-Wno-deprecated-openmp'.

2026-01-12  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	PR c++/81337
	* testsuite/libgomp.c++/target-cdtor-2.C: Skip on Solaris.
	Fix comments.

2026-01-06  supers1ngular  <supers1ngular@baylibre.com>

	* testsuite/libgomp.fortran/pr84418-1.f90: Fix verbiage of
	dg-warning to reflect updated warning.

2026-01-01  Jakub Jelinek  <jakub@redhat.com>

	* libgomp.texi: Bump @copying's copyright year.

2025-12-29  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* configure: Regenerate.

2025-12-24  Thomas Schwinge  <tschwinge@baylibre.com>

	* testsuite/lib/libgomp.exp (check_effective_target_omp_usm):
	Robustify.

2025-12-22  Tobias Burnus  <tburnus@baylibre.com>

	* testsuite/libgomp.fortran/uses_allocators_1.f90: Update dg-error.

2025-12-19  Tobias Burnus  <tburnus@baylibre.com>

	* testsuite/libgomp.fortran/uses_allocators-7.f90: Add ';' test.

2025-12-18  Tobias Burnus  <tburnus@baylibre.com>

	* libgomp.texi (OpenMP Implemenation Status): Mark
	no_openmp_constructs as implemented.

2025-12-17  Rainer Orth  <ro@CeBiTec.Uni-Bielefeld.DE>

	* testsuite/libgomp.c/affinity-1.c: Always add warnings.

2025-12-15  Jakub Jelinek  <jakub@redhat.com>

	* plugin/build-target-indirect-htab.h (create_target_indirect_map):
	Use (void) htab_find instead of assert (htab_find) to silence
	-Werror=unused-function because the latter triggers -Werror=address.

2025-12-12  Tobias Burnus  <tburnus@baylibre.com>

	* testsuite/libgomp.fortran/dep-uses-allocators.f90: Properly
	escape '(..)' in dg-warning.

2025-12-12  Tobias Burnus  <tburnus@baylibre.com>

	* testsuite/libgomp.fortran/dep-uses-allocators.f90: Update
	dg-warning.

2025-12-12  Tobias Burnus  <tburnus@baylibre.com>

	* libgomp.texi (OpenMP Implementation Status): Add missing '@tab';
	claim initial partial support for 'declare mapper',
	'uses_allocators', and map iterators.

2025-12-12  Chung-Lin Tang  <cltang@baylibre.com>
	    Tobias Burnus  <tburnus@baylibre.com>
	    Andrew Stubbs  <ams@baylibre.com>

	* testsuite/libgomp.fortran/uses_allocators_1.f90: Add check for
	omp_null_allocator.
	* testsuite/libgomp.fortran/uses_allocators-7.f90: New test.

2025-12-11  Jakub Jelinek  <jakub@redhat.com>

	PR libstdc++/121114
	* omp.h.in: Include <bits/new_throw.h> instead of
	<bits/functexcept.h>.

2025-12-11  supers1ngular  <supers1ngular@baylibre.com>

	* libgomp.texi: Bump version. Update implementation status.
	Note deprecation of 'MASTER' affinity policy.

2025-12-11  supers1ngular  <supers1ngular@baylibre.com>

	* testsuite/libgomp.fortran/allocate-8a.f90: Suppress warnings.
	* testsuite/libgomp.fortran/allocators-1.f90: Ditto.
	* testsuite/libgomp.fortran/allocators-2.f90: Ditto.
	* testsuite/libgomp.fortran/allocators-4.f90: Ditto.
	* testsuite/libgomp.fortran/declare-target-1.f90: Ditto.
	* testsuite/libgomp.fortran/declare-target-2.f90: Ditto.
	* testsuite/libgomp.fortran/declare-target-indirect-1.f90: Ditto.
	* testsuite/libgomp.fortran/declare-target-indirect-2.f90: Ditto.
	* testsuite/libgomp.fortran/doacross1.f90: Ditto.
	* testsuite/libgomp.fortran/doacross2.f90: Ditto.
	* testsuite/libgomp.fortran/doacross3.f90: Ditto.
	* testsuite/libgomp.fortran/map-alloc-ptr-2.f90: Ditto.
	* testsuite/libgomp.fortran/pr84418-1.f90: Ditto.
	* testsuite/libgomp.fortran/pr84418-2.f90: Ditto.
	* testsuite/libgomp.fortran/reduction1.f90: Ditto.
	* testsuite/libgomp.fortran/udr11.f90: Ditto.
	* testsuite/libgomp.fortran/uses_allocators_1.f90: Ditto.
	* testsuite/libgomp.fortran/uses_allocators_2.f90: Ditto.
	* testsuite/libgomp.fortran/dep-uses-allocators.f90: New test.

2025-12-11  supers1ngular  <supers1ngular@baylibre.com>

	* testsuite/libgomp.c++/declare_target-1.C: Suppress warnings.
	* testsuite/libgomp.c++/depobj-1.C: Ditto.
	* testsuite/libgomp.c++/doacross-1.C: Ditto.
	* testsuite/libgomp.c++/for-15.C: Ditto.
	* testsuite/libgomp.c++/for-24.C: Ditto.
	* testsuite/libgomp.c++/pr101544-1-O0.C: Ditto.
	* testsuite/libgomp.c++/pr101544-1.C: Ditto.
	* testsuite/libgomp.c++/pr96835-1-O0.C: Ditto.
	* testsuite/libgomp.c++/pr96835-1.C: Ditto.
	* testsuite/libgomp.c++/static-aggr-constructor-destructor-1.C: Ditto.
	* testsuite/libgomp.c++/static-aggr-constructor-destructor-2.C: Ditto.
	* testsuite/libgomp.c++/static-aggr-constructor-destructor-3.C: Ditto.
	* testsuite/libgomp.c++/target-13.C: Ditto.
	* testsuite/libgomp.c++/target-cdtor-1.C: Ditto.
	* testsuite/libgomp.c++/target-cdtor-2.C: Ditto.
	* testsuite/libgomp.c++/target-std__array-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__array-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__cmath.C: Ditto.
	* testsuite/libgomp.c++/target-std__complex.C: Ditto.
	* testsuite/libgomp.c++/target-std__deque-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__deque-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__list-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__list-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__numbers.C: Ditto.
	* testsuite/libgomp.c++/target-std__span-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__span-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__valarray-1.C: Ditto.
	* testsuite/libgomp.c++/target-std__valarray-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__valarray-concurrent.C: Ditto.
	* testsuite/libgomp.c++/target-std__vector-concurrent-usm.C: Ditto.
	* testsuite/libgomp.c++/target-std__vector-concurrent.C: Ditto.
	* testsuite/libgomp.c-c++-common/declare_target-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/depend-2.c: Ditto.
	* testsuite/libgomp.c-c++-common/depobj-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-11.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-12.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-16.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-3.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-5.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-6.c: Ditto.
	* testsuite/libgomp.c-c++-common/for-9.c: Ditto.
	* testsuite/libgomp.c-c++-common/function-not-offloaded.c: Ditto.
	* testsuite/libgomp.c-c++-common/metadirective-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/metadirective-2.c: Ditto.
	* testsuite/libgomp.c-c++-common/metadirective-3.c: Ditto.
	* testsuite/libgomp.c-c++-common/metadirective-5.c: Ditto.
	* testsuite/libgomp.c-c++-common/monotonic-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/monotonic-2.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr100059-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-2.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-4.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-5.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-6.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-7.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-8.c: Ditto.
	* testsuite/libgomp.c-c++-common/pr66199-9.c: Ditto.
	* testsuite/libgomp.c-c++-common/ptr-attach-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/reverse-offload-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-10.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-40.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-abi-struct-1-O0.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-abi-struct-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-cdtor-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-same-name-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-reduction-14.c: Ditto.
	* testsuite/libgomp.c-c++-common/variable-not-offloaded.c: Ditto.
	* testsuite/libgomp.c/declare-variant-3.c: Ditto.
	* testsuite/libgomp.c/declare-variant-4.c: Ditto.
	* testsuite/libgomp.c/doacross-1.c: Ditto.
	* testsuite/libgomp.c/doacross-2.c: Ditto.
	* testsuite/libgomp.c/doacross-3.c: Ditto.
	* testsuite/libgomp.c/examples-4/async_target-1.c: Ditto.
	* testsuite/libgomp.c/examples-4/declare_target-1.c: Ditto.
	* testsuite/libgomp.c/examples-4/declare_target-3.c: Ditto.
	* testsuite/libgomp.c/examples-4/declare_target-4.c: Ditto.
	* testsuite/libgomp.c/examples-4/declare_target-5.c: Ditto.
	* testsuite/libgomp.c/max_vf-1.c: Ditto.
	* testsuite/libgomp.c/pr81778.c: Ditto.
	* testsuite/libgomp.c/pr86660.c: Ditto.
	* testsuite/libgomp.c/reduction-4.c: Ditto.
	* testsuite/libgomp.c/switch-conversion.c: Ditto.
	* testsuite/libgomp.c/target-26.c: Ditto.
	* testsuite/libgomp.c/target-28.c: Ditto.
	* testsuite/libgomp.c/target-30.c: Ditto.
	* testsuite/libgomp.c/target-32.c: Ditto.
	* testsuite/libgomp.c/target-35.c: Ditto.
	* testsuite/libgomp.c/target-38.c: Ditto.
	* testsuite/libgomp.c/target-39.c: Ditto.
	* testsuite/libgomp.c/target-9.c: Ditto.
	* testsuite/libgomp.c/target-link-1.c: Ditto.
	* testsuite/libgomp.c/target-teams-1.c: Ditto.
	* testsuite/libgomp.c/thread-limit-2.c: Ditto.
	* testsuite/libgomp.oacc-c-c++-common/vred2d-128.c: Ditto.

2025-12-11  supers1ngular  <supers1ngular@baylibre.com>

	* env.c (omp_display_env): Bump _OPENMP version.
	* fortran.c (ialias_redirect): Remove suppression pragmas.
	(omp_set_dynamic_8_): Ditto.
	(omp_set_nested_8_): Ditto.
	(omp_get_nested_): Ditto.
	* icv.c (omp_get_dynamic): Ditto.
	(omp_get_nested): Ditto.
	(ialias): Ditto.
	* omp_lib.f90.in: Bump openmp_version.
	* omp_lib.h.in: Ditto.
	* testsuite/libgomp.c++/affinity-1.C: Suppress deprecation
	warnings.
	* testsuite/libgomp.c++/ctor-1.C: Ditto.
	* testsuite/libgomp.c++/ctor-11.C: Ditto.
	* testsuite/libgomp.c++/ctor-13.C: Ditto.
	* testsuite/libgomp.c++/ctor-2.C: Ditto.
	* testsuite/libgomp.c++/ctor-5.C: Ditto.
	* testsuite/libgomp.c++/ctor-7.C: Ditto.
	* testsuite/libgomp.c++/depend-iterator-1.C: Ditto.
	* testsuite/libgomp.c++/loop-13.C: Ditto.
	* testsuite/libgomp.c++/master-1.C: Ditto.
	* testsuite/libgomp.c++/pr26943.C: Ditto.
	* testsuite/libgomp.c++/pr81130.C: Ditto.
	* testsuite/libgomp.c++/pr81314.C: Ditto.
	* testsuite/libgomp.c++/target-in-reduction-1.C: Ditto.
	* testsuite/libgomp.c++/target-in-reduction-2.C: Ditto.
	* testsuite/libgomp.c++/task-1.C: Ditto.
	* testsuite/libgomp.c++/task-2.C: Ditto.
	* testsuite/libgomp.c++/task-6.C: Ditto.
	* testsuite/libgomp.c++/task-reduction-7.C: Ditto.
	* testsuite/libgomp.c++/task-reduction-9.C: Ditto.
	* testsuite/libgomp.c++/taskloop-reduction-1.C: Ditto.
	* testsuite/libgomp.c-c++-common/cancel-taskgroup-4.c: Ditto.
	* testsuite/libgomp.c-c++-common/depend-inoutset-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/depend-iterator-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/master-combined-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-in-reduction-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/target-in-reduction-2.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-detach-12.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-reduction-15.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-reduction-5.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-reduction-6.c: Ditto.
	* testsuite/libgomp.c-c++-common/task-reduction-8.c: Ditto.
	* testsuite/libgomp.c-c++-common/taskloop-reduction-1.c: Ditto.
	* testsuite/libgomp.c-c++-common/taskloop-reduction-3.c: Ditto.
	* testsuite/libgomp.c-c++-common/taskloop-reduction-4.c: Ditto.
	* testsuite/libgomp.c/affinity-1.c: Remove extraneous dg
	instruction and add suppression.
	* testsuite/libgomp.c/critical-2.c: Suppress deprecation
	warnings.
	* testsuite/libgomp.c/debug-1.c: Ditto.
	* testsuite/libgomp.c/lib-1.c: Ditto.
	* testsuite/libgomp.c/loop-24.c: Ditto.
	* testsuite/libgomp.c/nestedfn-2.c: Ditto.
	* testsuite/libgomp.c/nestedfn-3.c: Ditto.
	* testsuite/libgomp.c/pr104385.c: Ditto.
	* testsuite/libgomp.c/target-31.c: Ditto.
	* testsuite/libgomp.c/target-34.c: Ditto.
	* testsuite/libgomp.c/target-critical-1.c: Ditto.
	* testsuite/libgomp.c/task-1.c: Ditto.
	* testsuite/libgomp.c/task-3.c: Ditto.
	* testsuite/libgomp.c/task-6.c: Ditto.
	* testsuite/libgomp.c/task-reduction-1.c: Ditto.
	* testsuite/libgomp.c/task-reduction-2.c: Ditto.
	* testsuite/libgomp.c/teams-1.c: Ditto.
	* testsuite/libgomp.c/vla-1.c: Ditto.
	* testsuite/libgomp.fortran/crayptr1.f90: Ditto.
	* testsuite/libgomp.fortran/depend-inoutset-1.f90: Ditto.
	* testsuite/libgomp.fortran/is_device_ptr-1.f90: Ditto.
	* testsuite/libgomp.fortran/is_device_ptr-2.f90: Ditto.
	* testsuite/libgomp.fortran/lib1.f90: Ditto.
	* testsuite/libgomp.fortran/lib2.f: Ditto.
	* testsuite/libgomp.fortran/lib3.f: Ditto.
	* testsuite/libgomp.fortran/omp_parse2.f90: Ditto.
	* testsuite/libgomp.fortran/openmp_version-1.f: Bump OMP version.
	* testsuite/libgomp.fortran/openmp_version-2.f90: Ditto.
	* testsuite/libgomp.fortran/parallel-master.f90: Suppress
	warnings.
	* testsuite/libgomp.fortran/pointer2.f90: Ditto.
	* testsuite/libgomp.fortran/reduction6.f90: Ditto.
	* testsuite/libgomp.fortran/target-firstprivate-1.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_addr-1.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_addr-2.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_addr-3.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_addr-4.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_addr-5.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-1.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-3.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-4.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-optional-1.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-optional-2.f90: Ditto.
	* testsuite/libgomp.fortran/use_device_ptr-optional-3.f90: Ditto.
	* testsuite/libgomp.c-c++-common/omp-atv-seq-dep.c: New test.
	* testsuite/libgomp.c-c++-common/omp-lock-hint-contended-dep.c:
	New test.
	* testsuite/libgomp.c-c++-common/omp-lock-hint-none-dep.c: New test.
	* testsuite/libgomp.c-c++-common/omp-lock-hint-speculative-dep.c:
	New test.
	* testsuite/libgomp.c-c++-common/omp-lock-hint-uncontended-dep.c:
	New test.
	* testsuite/libgomp.c/omp-proc-bind-master-dep.c: New test.
	* testsuite/libgomp.fortran/omp-atv-seq-dep.f90: New test.
	* testsuite/libgomp.fortran/omp-lock-hint-contended-dep.f90: New
	test.
	* testsuite/libgomp.fortran/omp-lock-hint-none-dep.f90: New test.
	* testsuite/libgomp.fortran/omp-lock-hint-speculative-dep.f90: New
	test.
	* testsuite/libgomp.fortran/omp-lock-hint-uncontended-dep.f90: New
	test.

2025-12-09  Richard Biener  <rguenther@suse.de>

	PR testsuite/120167
	* testsuite/libgomp.graphite/force-parallel-1.c: Make parloop
	noipa.

2025-12-09  Andrew Stubbs  <ams@baylibre.com>

	* testsuite/lib/libgomp.exp (check_effective_target_omp_usm): New.
	* testsuite/libgomp.c++/target-std__array-concurrent-usm.C: Require
	working Unified Shared Memory to run the test.
	* testsuite/libgomp.c++/target-std__bitset-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__deque-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__list-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__map-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__multimap-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__multiset-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__set-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__span-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c++/target-std__valarray-concurrent-usm.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__vector-concurrent-usm.C: Likewise.
	* testsuite/libgomp.c-c++-common/target-implicit-map-4.c: Likewise.
	* testsuite/libgomp.c-c++-common/target-link-3.c: Likewise.
	* testsuite/libgomp.c-c++-common/target-link-4.c: Likewise.
	* testsuite/libgomp.fortran/self_maps.f90: Likewise.

2025-12-04  Andrew Stubbs  <ams@baylibre.com>

	* plugin/plugin-gcn.c (generic_isa_code): New function.
	(isa_matches_agent): Use generic ISA details to help select an error
	message on ISA mismatch.
	* testsuite/lib/libgomp.exp
	(check_effective_target_offload_target_amdgcn_with_xnack): Use a
	runtime check.

2025-12-04  Andrew Stubbs  <ams@baylibre.com>

	* testsuite/libgomp.c-c++-common/requires-4.c: Change dg-excess-errors
	to dg-xfail-if.
	* testsuite/libgomp.c-c++-common/requires-4a.c: Likewise.
	* testsuite/libgomp.c-c++-common/requires-5.c: Likewise.

2025-12-03  Andrew Stubbs  <ams@baylibre.com>

	* testsuite/lib/libgomp.exp (libgomp_target_compile): Don't use
	additional sources if there are no primary sources.

2025-12-01  Andrew Stubbs  <ams@baylibre.com>

	* libgomp.texi (AMD GCN): Mention HSA_XNACK is set automatically.

2025-12-01  Andrew Stubbs  <ams@baylibre.com>

	* Makefile.in: Regenerate.
	* libgomp-plugin.h (gomp_simple_alloc_init_context): New prototype.
	(gomp_simple_alloc_register_memory): New prototype.
	(gomp_simple_alloc): New prototype.
	(gomp_simple_free): New prototype.
	(gomp_simple_realloc): New prototype.
	* libgomp.h (gomp_simple_alloc_init_context): Move to libgomp-plugin.h.
	(gomp_simple_alloc_register_memory): Likewise.
	(gomp_simple_alloc): Likewise.
	(gomp_simple_free): Likewise.
	(gomp_simple_realloc): Likewise.
	* libgomp.texi: Update AMD managed memory description.
	* plugin/Makefrag.am (libgomp_plugin_gcn_la_SOURCES): Add
	simple-allocator.c and plugin/mutex.c.
	* plugin/plugin-gcn.c: Include sys/mman.h and unistd.h.
	(struct hsa_runtime_fn_info): Add hsa_amd_svm_attributes_set_fn.
	(dump_hsa_system_info): Add HSA_AMD_SYSTEM_INFO_SVM_SUPPORTED and
	HSA_AMD_SYSTEM_INFO_SVM_ACCESSIBLE_BY_DEFAULT to the GCN_DEBUG output.
	(init_hsa_runtime_functions): Add hsa_amd_svm_attributes_set.
	(isa_matches_agent): Add a new error message for the case where the
	ISA doesn't match but the name does.
	(managed_ctx): New variable.
	(managed_heap_create): New function.
	(GOMP_OFFLOAD_managed_alloc): Likewise.
	(GOMP_OFFLOAD_managed_free): Likewise.
	* simple-allocator.c (gomp_fatal): New macro.
	* testsuite/lib/libgomp.exp (check_effective_target_omp_managedmem):
	Add amdgcn support checker.
	(check_effective_target_offload_target_amdgcn_with_xnack): New.
	* testsuite/libgomp.c-c++-common/requires-4.c: Ignore xnack warning.
	* testsuite/libgomp.c-c++-common/requires-4a.c: Ignore xnack warning.
	* testsuite/libgomp.c-c++-common/requires-5.c: Ignore xnack warning.
	* testsuite/libgomp.c++/alloc-managed-1.C: Add -mxnack=on, if needed.
	* testsuite/libgomp.c/alloc-managed-1.c: Likewise.
	* testsuite/libgomp.c/alloc-managed-2.c: Likewise.
	* testsuite/libgomp.c/alloc-managed-3.c: Likewise.
	* testsuite/libgomp.c/alloc-managed-4.c: Likewise.
	* testsuite/libgomp.fortran/alloc-managed-1.f90: Likewise.
	* plugin/mutex.c: New file.

2025-12-01  Paul-Antoine Arras  <parras@baylibre.com>

	PR fortran/120505
	* target.c (gomp_map_vars_internal): Allow struct mapping from different
	containing array elements as long as adresses are in increasing order.
	* testsuite/libgomp.c-c++-common/map-arrayofstruct-2.c: Adjust
	dg-output.
	* testsuite/libgomp.c-c++-common/map-arrayofstruct-3.c: Likewise.
	* testsuite/libgomp.fortran/map-subarray-5.f90: Likewise.
	* testsuite/libgomp.fortran/map-subarray-10.f90: New test.
	* testsuite/libgomp.fortran/map-subarray-9.f90: New test.

2025-11-26  Jakub Jelinek  <jakub@redhat.com>

	* testsuite/libgomp.c++/atomic-12.C (main): Add ()s around array
	reference index.
	* testsuite/libgomp.c++/atomic-13.C: Likewise.
	* testsuite/libgomp.c++/atomic-8.C: Likewise.
	* testsuite/libgomp.c++/atomic-9.C: Likewise.
	* testsuite/libgomp.c++/loop-6.C: Use count = count + 1;
	return count > 0; instead of return ++count > 0;.
	* testsuite/libgomp.c++/pr38650.C: Add -std=gnu++17.
	* testsuite/libgomp.c++/target-lambda-1.C (merge_data_func):
	Use [=,this] instead of just [=] in lambda captures.
	* testsuite/libgomp.c-c++-common/target-40.c (f1): Use v += 1;
	instead of v++;.
	* testsuite/libgomp.c-c++-common/depend-iterator-2.c: Use v = v + 1;
	instead of v++.

2025-11-25  Frank Scheiner  <frank.scheiner@web.de>

	* affinity-fmt.c: Make char *q a pointer to a const char.

2025-11-25  Arsen Arsenović  <aarsenovic@baylibre.com>

	* testsuite/libgomp.oacc-c-c++-common/atomic_capture-3.c: Copy
	changes in r11-3059-g8183ebcdc1c843 from atomic_capture-2.c.

2025-11-22  Sandra Loosemore  <sloosemore@baylibre.com>

	* libgomp.texi (OpenMP 5.1): Update "begin declare variant" status.

2025-11-22  Sandra Loosemore  <sloosemore@baylibre.com>
	    Tobias Burnus  <tburnus@baylibre.com>

	* testsuite/libgomp.c-c++-common/delim-declare-variant-1.c: New.
	* testsuite/libgomp.c-c++-common/delim-declare-variant-2.c: New.

2025-11-22  Sandra Loosemore  <sloosemore@baylibre.com>
	    Julian Brown  <julian@codesourcery.com>
	    waffl3x  <waffl3x@baylibre.com>

	* testsuite/libgomp.c++/bdv_module1.C: New.
	* testsuite/libgomp.c++/bdv_module1_main.C: New.
	* testsuite/libgomp.c++/bdv_module2.C: New.
	* testsuite/libgomp.c++/bdv_module2_impl.C: New.
	* testsuite/libgomp.c++/bdv_module2_main.C: New.
	* testsuite/libgomp.c++/bdv_module3.C: New.
	* testsuite/libgomp.c++/bdv_module3_impl.C: New.
	* testsuite/libgomp.c++/bdv_module3_main.C: New.
	* testsuite/libgomp.c++/delim-declare-variant-1.C: New.
	* testsuite/libgomp.c++/delim-declare-variant-2.C: New.
	* testsuite/libgomp.c++/delim-declare-variant-7.C: New.

2025-11-21  Arsen Arsenović  <aarsenovic@baylibre.com>

	* testsuite/libgomp.oacc-c-c++-common/data-2-lib.c (explanatory
	header): Fix typo.
	(main): Insert waits on kernels reading 'a' into queue 10 before
	exiting 'a', and waits on kernels reading 'N' into queue 15
	before exiting 'N'.
	* testsuite/libgomp.oacc-c-c++-common/data-2.c: Ditto.

2025-11-21  Josef Melcr  <josef.melcr@suse.com>

	* testsuite/libgomp.c/ipcp-cb-spec1.c: Remove LTO requirement.
	* testsuite/libgomp.c/ipcp-cb-spec2.c: Likewise.
	* testsuite/libgomp.c/ipcp-cb1.c: Likewise.

2025-11-19  Martin Liska  <martin.liska@hey.com>

	* acinclude.m4:: Add detection for wild linker.
	* configure: Regenerate.

2025-11-18  Tobias Burnus  <tburnus@baylibre.com>

	* libgomp.texi (The libgomp ABI): Update MASTER section by
	also covering MASKED.

2025-11-17  Jakub Jelinek  <jakub@redhat.com>

	* testsuite/libgomp.c++/allocate-1.C: Replace [: in OpenMP or OpenACC
	pragmas or attributes with [ : and :] with : ].
	* testsuite/libgomp.c++/baseptrs-3.C: Likewise.
	* testsuite/libgomp.c++/baseptrs-5.C: Likewise.
	* testsuite/libgomp.c++/class-array-1.C: Likewise.
	* testsuite/libgomp.c++/examples-4/target_data-5.C: Likewise.
	* testsuite/libgomp.c++/lvalue-tofrom-2.C: Likewise.
	* testsuite/libgomp.c++/pr101544-1.C: Likewise.
	* testsuite/libgomp.c++/pr108286.C: Likewise.
	* testsuite/libgomp.c++/reduction-10.C: Likewise.
	* testsuite/libgomp.c++/reduction-11.C: Likewise.
	* testsuite/libgomp.c++/reduction-12.C: Likewise.
	* testsuite/libgomp.c++/reduction-5.C: Likewise.
	* testsuite/libgomp.c++/reduction-6.C: Likewise.
	* testsuite/libgomp.c++/reduction-7.C: Likewise.
	* testsuite/libgomp.c++/reduction-8.C: Likewise.
	* testsuite/libgomp.c++/reduction-9.C: Likewise.
	* testsuite/libgomp.c++/target-18.C: Likewise.
	* testsuite/libgomp.c++/target-19.C: Likewise.
	* testsuite/libgomp.c++/target-2.C: Likewise.
	* testsuite/libgomp.c++/target-22.C: Likewise.
	* testsuite/libgomp.c++/target-23.C: Likewise.
	* testsuite/libgomp.c++/target-9.C: Likewise.
	* testsuite/libgomp.c++/target-flex-100.C: Likewise.
	* testsuite/libgomp.c++/target-flex-101.C: Likewise.
	* testsuite/libgomp.c++/target-flex-12.C: Likewise.
	* testsuite/libgomp.c++/target-flex-2003.C: Likewise.
	* testsuite/libgomp.c++/target-flex-30.C: Likewise.
	* testsuite/libgomp.c++/target-flex-300.C: Likewise.
	* testsuite/libgomp.c++/target-flex-32.C: Likewise.
	* testsuite/libgomp.c++/target-flex-33.C: Likewise.
	* testsuite/libgomp.c++/target-flex-41.C: Likewise.
	* testsuite/libgomp.c++/target-flex-60.C: Likewise.
	* testsuite/libgomp.c++/target-flex-61.C: Likewise.
	* testsuite/libgomp.c++/target-flex-62.C: Likewise.
	* testsuite/libgomp.c++/target-flex-80.C: Likewise.
	* testsuite/libgomp.c++/target-flex-81.C: Likewise.
	* testsuite/libgomp.c++/target-has-device-addr-7.C: Likewise.
	* testsuite/libgomp.c++/target-in-reduction-1.C: Likewise.
	* testsuite/libgomp.c++/target-in-reduction-2.C: Likewise.
	* testsuite/libgomp.c++/target-lambda-1.C: Likewise.
	* testsuite/libgomp.c++/target-lambda-3.C: Likewise.
	* testsuite/libgomp.c++/target-map-class-1.C: Likewise.
	* testsuite/libgomp.c++/target-std__array-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__bitset-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__deque-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__flat_map-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__flat_multimap-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_multiset-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__flat_set-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__forward_list-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__list-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__map-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__multimap-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__multiset-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__set-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__span-concurrent.C: Likewise.
	* testsuite/libgomp.c++/target-std__unordered_map-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_multimap-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_multiset-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__unordered_set-concurrent.C:
	Likewise.
	* testsuite/libgomp.c++/target-std__valarray-1.C: Likewise.
